import {createRouter,createWebHistory} from "vue-router";

const routes = [
    {
        path: '/',
        component: ()=>import('../pages/HomePage.vue'),
        content: {
            keywords: 'FFE Building materials Smart hotelEnergy Saving',
            description: ''
        },
        meta: { title: '' }
    },
    {
        path: '/service',
        component: () => import('../pages/Procurement.vue'),
        meta: { title: 'Service' },
        content: {
            keywords: 'FFE Building materials Smart hotelEnergy Saving',
            description: ''
        },
    },
    {
        path: '/projectcase/:name',
        component: () => import('../pages/Casemessage.vue'),
        meta: { title: 'Project Case' },
        content: {
            keywords: 'FFE Building materials Smart hotelEnergy Saving',
            description: ''
        },
    },
    {
        path: '/contactUs',
        component: () => import('../pages/contactUs.vue'),
        meta: { title: 'Contact Us' },
        content: {
            keywords: 'FFE Building materials Smart hotelEnergy Saving',
            description: ''
        },
    },{
        path: '/news/:name',
        component: () => import('../pages/NewsMessage.vue'),
        meta: { title: 'News' },
        content: {
            keywords: 'FFE Building materials Smart hotelEnergy Saving',
            description: ''
        },
    },
    {
        path: '/about',
        component: () => import('../pages/AboutMessage.vue'),
        meta: { title: 'About MONTIERI' },
        content: {
            keywords: 'FFE Building materials Smart hotelEnergy Saving',
            description: ''
        }
    },{
        path: '/projectcase',
        component: () => import('../pages/AllCases.vue'),
        meta: { title: 'Project Case' },
        content: {
            keywords: 'FFE Building materials Smart hotelEnergy Saving',
            description: ''
        }
    },{
        path: '/productcenter',
        component: () => import('../pages/Allproduct.vue'),
        meta: { title: 'Product Center' },
        content: {
            keywords: 'FFE Building materials Smart hotelEnergy Saving',
            description: ''
        }
    },{
        path: '/productcenter/:name',
        component: () => import('../pages/Productmessage.vue'),
        meta: { title: 'Product Center' },
        content: {
            keywords: 'FFE Building materials Smart hotelEnergy Saving',
            description: ''
        }
    }
]

const router = createRouter({
    history: createWebHistory('/page/'),
    routes
})

router.beforeEach((to, from, next) => {
    document.title = `${to.meta.title}` || 'MONTIERI - FFE, building materials and smart energy saving for hotel/residential/commercial';
    next();
})

export default router